namespace Aitex.Core.RT.Log
{
	public class CounterLogger
	{
		private bool _isError;

		public string RecoverMessage { get; set; }

		public string ErroMessage { get; set; }

		public void Error(string error)
		{
			if (!_isError)
			{
				_isError = true;
				LOG.Error(ErroMessage + error);
			}
		}

		public void Recover()
		{
			if (_isError)
			{
				_isError = false;
				LOG.Info(RecoverMessage, isTraceOn: true);
			}
		}
	}
}
